Tonyu.klass.define({
  fullName: 'user.Cell',
  shortName: 'Cell',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cell_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_ep8+0;
        _this.dir=Tonyu.globals.$player.position.sub(_this.position).normalizeX(3);
        _this.age=0;
        while (true) {
          Tonyu.checkLoop();
          _this.rotation++;
          _this.age++;
          _this.pp=_this.position.clone();
          _this.position.addX(_this.dir);
          if (Tonyu.globals.$map.chipAt(_this.x,_this.y).has()) {
            _this.c = Tonyu.globals.$map.chipAt(_this.pp.x,_this.pp.y);
            
            if (! _this.c.has()) {
              _this.c.p=_this.p;
              if (_this.age>10) {
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_put);
              }
              _this.die();
              
            }
            
          }
          _this.s=_this.crashTo(Tonyu.classes.user.Shot);
          if (_this.s) {
            _this.die();
            _this.s.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
            
          }
          if (_this.crashTo(Tonyu.globals.$player)) {
            Tonyu.globals.$player.die();
            
          }
          if (_this.screenOut()) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Cell_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_ep8+0;
        _this.dir=Tonyu.globals.$player.position.sub(_this.position).normalizeX(3);
        _this.age=0;
        
        _thread.enter(function _trc_Cell_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.rotation++;
              _this.age++;
              _this.pp=_this.position.clone();
              _this.position.addX(_this.dir);
              if (Tonyu.globals.$map.chipAt(_this.x,_this.y).has()) {
                _this.c = Tonyu.globals.$map.chipAt(_this.pp.x,_this.pp.y);
                
                if (! _this.c.has()) {
                  _this.c.p=_this.p;
                  if (_this.age>10) {
                    Tonyu.globals.$sound.playSE(Tonyu.globals.$se_put);
                  }
                  _this.die();
                  
                }
                
              }
              _this.s=_this.crashTo(Tonyu.classes.user.Shot);
              if (_this.s) {
                _this.die();
                _this.s.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pom);
                
              }
              if (_this.crashTo(Tonyu.globals.$player)) {
                Tonyu.globals.$player.die();
                
              }
              if (_this.screenOut()) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"c":{},"dir":{},"age":{},"pp":{},"s":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(512,384);
        Tonyu.globals.$map=_this.createMap();
        new Tonyu.classes.kernel.Label({align: "left",x: 0,y: 22*16,text: "LEVEL: "+Tonyu.globals.$level,size: 16});
        Tonyu.globals.$player=new Tonyu.classes.user.Player;
        _this.cnt=0;
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=864&";
        while (true) {
          Tonyu.checkLoop();
          if (_this.cnt<60+Tonyu.globals.$level*60&&_this.cnt%3==0) {
            if (Tonyu.globals.$level%3==0&&_this.cnt>=55+Tonyu.globals.$level*55) {
              new Tonyu.classes.user.Cell({x: 5,y: _this.rnd(16,20*16)});
              
            } else {
              new Tonyu.classes.user.Cell({x: 500,y: _this.rnd(16,20*16)});
              
            }
            
          }
          if (_this.cnt%3==0) {
            _this.i = 0;
            for (; _this.i<50-_this.all(Tonyu.classes.user.Cell).length ; _this.i++) {
              Tonyu.checkLoop();
              {
                _this.r = _this.rnd(Tonyu.globals.$map.row);
                
                _this.c = _this.rnd(Tonyu.globals.$map.col);
                
                _this.ch = Tonyu.globals.$map.chip(_this.c,_this.r);
                
                if (_this.ch.has(Tonyu.globals.$pat_ep8+0)) {
                  _this.ch.toActor(Tonyu.classes.user.Cell);
                  break;
                  
                  
                }
              }
            }
            
          }
          if (Tonyu.globals.$player.isDead()) {
            new Tonyu.classes.kernel.Button({top: 200,text: "Replay",key: "r",onClick: (function anonymous_1637() {
              
              _this.loadPage(Tonyu.classes.user.Title);
            })});
            new Tonyu.classes.kernel.Button({top: 250,text: "Tweet",key: "t",onClick: Tonyu.bindFunc(_this,_this.tweet)});
            while (true) {
              Tonyu.checkLoop();
              _this.update();
            }
            
          }
          _this.cnt++;
          if (_this.cnt%30==0&&_this.checkClear()) {
            break;
            
          }
          _this.update();
          
        }
        Tonyu.globals.$level++;
        _this.loadPage(Tonyu.classes.user.Main);
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(512,384);
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$createMap(_thread);
              __pc=1;return;
            case 1:
              Tonyu.globals.$map=_thread.retVal;
              
              new Tonyu.classes.kernel.Label({align: "left",x: 0,y: 22*16,text: "LEVEL: "+Tonyu.globals.$level,size: 16});
              Tonyu.globals.$player=new Tonyu.classes.user.Player;
              _this.cnt=0;
              Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=864&";
            case 2:
              if (_this.cnt<60+Tonyu.globals.$level*60&&_this.cnt%3==0) {
                if (Tonyu.globals.$level%3==0&&_this.cnt>=55+Tonyu.globals.$level*55) {
                  new Tonyu.classes.user.Cell({x: 5,y: _this.rnd(16,20*16)});
                  
                } else {
                  new Tonyu.classes.user.Cell({x: 500,y: _this.rnd(16,20*16)});
                  
                }
                
              }
              if (!(_this.cnt%3==0)) { __pc=3     ; break; }
              _this.i = 0;
              for (; _this.i<50-_this.all(Tonyu.classes.user.Cell).length ; _this.i++) {
                Tonyu.checkLoop();
                {
                  _this.r = _this.rnd(Tonyu.globals.$map.row);
                  
                  _this.c = _this.rnd(Tonyu.globals.$map.col);
                  
                  _this.ch = Tonyu.globals.$map.chip(_this.c,_this.r);
                  
                  if (_this.ch.has(Tonyu.globals.$pat_ep8+0)) {
                    _this.ch.toActor(Tonyu.classes.user.Cell);
                    break;
                    
                    
                  }
                }
              }
            case 3     :
              
              if (!(Tonyu.globals.$player.isDead())) { __pc=7     ; break; }
              new Tonyu.classes.kernel.Button({top: 200,text: "Replay",key: "r",onClick: (function anonymous_1637() {
                
                _this.loadPage(Tonyu.classes.user.Title);
              })});
              new Tonyu.classes.kernel.Button({top: 250,text: "Tweet",key: "t",onClick: Tonyu.bindFunc(_this,_this.tweet)});
            case 4:
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
            case 7     :
              
              _this.cnt++;
              if (!(_this.cnt%30==0&&_this.checkClear())) { __pc=8     ; break; }
              __pc=10    ; break;
              
            case 8     :
              
              _this.fiber$update(_thread);
              __pc=9;return;
            case 9:
              
              __pc=2;break;
            case 10    :
              
              Tonyu.globals.$level++;
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Main);
              __pc=11;return;
            case 11:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      createMap :function _trc_Main_createMap() {
        "use strict";
        var _this=this;
        var m;
        var i;
        var j;
        var x;
        var y;
        
        m = new Tonyu.classes.kernel.Map2;
        
        i = 0;
        for (; i<22 ; i++) {
          Tonyu.checkLoop();
          {
            j = 0;
            for (; j<32 ; j++) {
              Tonyu.checkLoop();
              {
                if (i==0||i==21) {
                  m.set(j,i,Tonyu.globals.$pat_ep8+1);
                }
              }
            }
          }
        }
        i = 0;
        for (; i<10 ; i++) {
          Tonyu.checkLoop();
          {
            x = _this.rnd(25);
            y = _this.rnd(20)+1;
            
            if (x<10&&_this.abs(y-11)<=3) {
              continue;
              
            }
            j = 0;
            for (; j<4 ; j++) {
              Tonyu.checkLoop();
              {
                m.set(x+j,y,Tonyu.globals.$pat_ep8+1);
              }
            }
          }
        }
        return m;
      },
      fiber$createMap :function _trc_Main_f_createMap(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var m;
        var i;
        var j;
        var x;
        var y;
        
        m = new Tonyu.classes.kernel.Map2;
        
        i = 0;
        for (; i<22 ; i++) {
          Tonyu.checkLoop();
          {
            j = 0;
            for (; j<32 ; j++) {
              Tonyu.checkLoop();
              {
                if (i==0||i==21) {
                  m.set(j,i,Tonyu.globals.$pat_ep8+1);
                }
              }
            }
          }
        }
        i = 0;
        for (; i<10 ; i++) {
          Tonyu.checkLoop();
          {
            x = _this.rnd(25);
            y = _this.rnd(20)+1;
            
            if (x<10&&_this.abs(y-11)<=3) {
              continue;
              
            }
            j = 0;
            for (; j<4 ; j++) {
              Tonyu.checkLoop();
              {
                m.set(x+j,y,Tonyu.globals.$pat_ep8+1);
              }
            }
          }
        }
        _thread.retVal=m;return;
        
        
        _thread.retVal=_this;return;
      },
      checkClear :function _trc_Main_checkClear() {
        "use strict";
        var _this=this;
        var i;
        var j;
        
        if (_this.all(Tonyu.classes.user.Cell).length>0) {
          return false;
        }
        i = 0;
        for (; i<22 ; i++) {
          Tonyu.checkLoop();
          {
            j = 0;
            for (; j<32 ; j++) {
              Tonyu.checkLoop();
              {
                if (Tonyu.globals.$map.has(j,i,Tonyu.globals.$pat_ep8+0)) {
                  return false;
                }
              }
            }
          }
        }
        return true;
      },
      tweet :function _trc_Main_tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet("【Cell Fighter】 Level="+Tonyu.globals.$level,Tonyu.globals.$url,"tonyu2");
      },
      fiber$tweet :function _trc_Main_f_tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet("【Cell Fighter】 Level="+Tonyu.globals.$level,Tonyu.globals.$url,"tonyu2");
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"createMap":{"nowait":false},"checkClear":{"nowait":true},"tweet":{"nowait":false}},"fields":{"i":{},"r":{},"c":{},"ch":{},"cnt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.x=100;
        _this.y=192;
        _this.pad=new Tonyu.classes.kernel.APad({decay: 0,keySpeed: 1});
        _this.ops=0;
        _this.crashScale=0.5;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.pad.vx*4;
          _this.y+=_this.pad.vy*4;
          if (Tonyu.globals.$frameCount%4==0&&_this.all(Tonyu.classes.user.Shot).length<2) {
            
            if (_this.all(Tonyu.classes.user.Shot).find({rotation: 0}).length==0) {
              new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
              _this.std=true;
              
            }
            if (_this.all(Tonyu.classes.user.Shot).find({rotation: - 45}).length==0) {
              new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
              _this.std=true;
              
            }
            if (_this.std) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
            }
            
          }
          if (Tonyu.globals.$map.chipAt(_this.x,_this.y).has()) {
            _this.die();
            
          }
          _this.x=_this.clamp(_this.x,0,Tonyu.globals.$screenWidth);
          _this.y=_this.clamp(_this.y,0,Tonyu.globals.$screenHeight-32);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_e+0;
        _this.scaleX=2;
        _this.x=100;
        _this.y=192;
        _this.pad=new Tonyu.classes.kernel.APad({decay: 0,keySpeed: 1});
        _this.ops=0;
        _this.crashScale=0.5;
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.pad.vx*4;
              _this.y+=_this.pad.vy*4;
              if (Tonyu.globals.$frameCount%4==0&&_this.all(Tonyu.classes.user.Shot).length<2) {
                
                if (_this.all(Tonyu.classes.user.Shot).find({rotation: 0}).length==0) {
                  new Tonyu.classes.user.Shot({x: _this.x,y: _this.y});
                  _this.std=true;
                  
                }
                if (_this.all(Tonyu.classes.user.Shot).find({rotation: - 45}).length==0) {
                  new Tonyu.classes.user.Shot({x: _this.x,y: _this.y,rotation: - 45});
                  _this.std=true;
                  
                }
                if (_this.std) {
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 80});
                }
                
              }
              if (Tonyu.globals.$map.chipAt(_this.x,_this.y).has()) {
                _this.die();
                
              }
              _this.x=_this.clamp(_this.x,0,Tonyu.globals.$screenWidth);
              _this.y=_this.clamp(_this.y,0,Tonyu.globals.$screenHeight-32);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"std":{},"pad":{},"ops":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Shot',
  shortName: 'Shot',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Shot_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        _this.crashScale=2;
        while (! _this.screenOut()) {
          Tonyu.checkLoop();
          if (_this.rotation!=0) {
            _this.x+=12;
            _this.y-=12;
            
          } else {
            _this.x+=16;
          }
          _this.c=Tonyu.globals.$map.chipAt(_this.x,_this.y);
          if (_this.c.has()) {
            if (_this.c.has(Tonyu.globals.$pat_ep8+0)) {
              _this.c.p=- 1;
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_cell);
              
            }
            _this.die();
            
          }
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Shot_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_weapon+0;
        _this.crashScale=2;
        
        _thread.enter(function _trc_Shot_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut())) { __pc=3     ; break; }
              if (_this.rotation!=0) {
                _this.x+=12;
                _this.y-=12;
                
              } else {
                _this.x+=16;
              }
              _this.c=Tonyu.globals.$map.chipAt(_this.x,_this.y);
              if (_this.c.has()) {
                if (_this.c.has(Tonyu.globals.$pat_ep8+0)) {
                  _this.c.p=- 1;
                  Tonyu.globals.$sound.playSE(Tonyu.globals.$se_cell);
                  
                }
                _this.die();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"c":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$level=1;
        _this.update();
        _this.loadPage(Tonyu.classes.user.Main);
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$level=1;
        
        _thread.enter(function _trc_Title_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$update(_thread);
              __pc=1;return;
            case 1:
              
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Main);
              __pc=2;return;
            case 2:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map